## Package org.jvnet.hudson.reactor

Interface Summary
Executable: Represents code that can be executed.
Milestone: Marker interface that indicates a milestone in the reactor process.
ReactorListener: Receives callback during the `Reactor.execute(Executor, ReactorListener)`.
Task: One initialization task
TaskGraphBuilder.Handle: Handle to the task.

Class Summary
MilestoneImpl: Default `Milestone` implementation.
Reactor: Executes a set of `Task`s that dependend on each other.
ReactorListener.Aggregator: Bundles multiple listeners into one.
TaskBuilder: Contributes `Task`s to a `Reactor` execution.
TaskGraphBuilder: Builder/fluent-API pattern to build up a series of related tasks.

Exception Summary
ReactorException: Used to tunnel application-thrown `Throwable` (Error or Exception) to the caller.

Copyright © 2011. All Rights Reserved.